public interface HttpOrBuilder extends MessageOrBuilderImplements
MessageOrBuilderMethods
getMethod()
public abstract String getMethod()The HTTP request method (e.g. "GET", "POST", "PATCH", "DELETE").
string method = 1;
| Returns | |
|---|---|
| Type | Description |
String |
The method. |
getMethodBytes()
public abstract ByteString getMethodBytes()The HTTP request method (e.g. "GET", "POST", "PATCH", "DELETE").
string method = 1;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for method. |
getReferralUrl()
public abstract String getReferralUrl()The URL for the HTTP referer.
string referral_url = 2;
| Returns | |
|---|---|
| Type | Description |
String |
The referralUrl. |
getReferralUrlBytes()
public abstract ByteString getReferralUrlBytes()The URL for the HTTP referer.
string referral_url = 2;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for referralUrl. |
getResponseCode()
public abstract int getResponseCode()The response status code, for example 200, 302, 404, or 500.
int32 response_code = 4;
| Returns | |
|---|---|
| Type | Description |
int |
The responseCode. |
getUserAgent()
public abstract String getUserAgent()The User-Agent request header which includes the application type, operating system, software vendor or software version of the requesting software user agent.
string user_agent = 3;
| Returns | |
|---|---|
| Type | Description |
String |
The userAgent. |
getUserAgentBytes()
public abstract ByteString getUserAgentBytes()The User-Agent request header which includes the application type, operating system, software vendor or software version of the requesting software user agent.
string user_agent = 3;
| Returns | |
|---|---|
| Type | Description |
ByteString |
The bytes for userAgent. |